# rax_facts – Gather facts for Rackspace Cloud Servers

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Status

## Synopsis

- Gather facts for Rackspace Cloud Servers.

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.6

- pyrax

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
address - |  | Server IP address to retrieve facts for, will match any IP assigned to the server
api_key - |  | Rackspace API key, overrides credentials. aliases: password
auth_endpoint - | Default: "https://identity.api.rackspacecloud.com/v2.0/" | The URI of the authentication service.
credentials - |  | File to find the Rackspace credentials in. Ignored if api_key and username are provided. aliases: creds_file
env - |  | Environment as configured in ~/.pyrax.cfg, see https://github.com/rackspace/pyrax/blob/master/docs/getting_started.md#pyrax-configuration.
id - |  | Server ID to retrieve facts for
identity_type - | Default: "rackspace" | Authentication mechanism to use, such as rackspace or keystone.
name - |  | Server name to retrieve facts for
region - | Default: "DFW" | Region to create an instance in.
tenant_id - |  | The tenant ID used for authentication.
tenant_name - |  | The tenant name used for authentication.
username - |  | Rackspace username, overrides credentials.

validate_certs
boolean

Choices:
- no
- yes

Whether or not to require SSL validation of API endpoints.
aliases: verify_ssl

## Notes

Note

- The following environment variables can be used, `RAX_USERNAME`, `RAX_API_KEY`, `RAX_CREDS_FILE`, `RAX_CREDENTIALS`, `RAX_REGION`.

- `RAX_CREDENTIALS` and `RAX_CREDS_FILE` points to a credentials file appropriate for pyrax. See https://github.com/rackspace/pyrax/blob/master/docs/getting_started.md#authenticating

- `RAX_USERNAME` and `RAX_API_KEY` obviate the use of a credentials file

- `RAX_REGION` defines a Rackspace Public Cloud region (DFW, ORD, LON, …)

## Examples

    - name: Gather info about servers
      hosts: all
      gather_facts: False
      tasks:
        - name: Get facts about servers
          local_action:
            module: rax_facts
            credentials: ~/.raxpub
            name: "{{ inventory_hostname }}"
            region: DFW
        - name: Map some facts
          set_fact:
            ansible_ssh_host: "{{ rax_accessipv4 }}"

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Matt Martz (@sivel)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.